pkg upgrade で ruby 関係をアップデート後に Mastodon が起動しない

状況と解決方法

pkg upgrade で ruby や gem をアップデートした場合、Mastodon に限らず bundle で管理している rails アプリケーションが起動しなくなる場合があります。
今回は libicudata.so.58 が見つからないというエラーですが、libicu は既に入っています。
このパターンでは bundle 側で認識できないため、bundle install をしても直りません。

この場合の解決方法は bundle install でインストールしたパッケージの入れ直しです。
入れ直しは非常にシンプルで、インストール先である vendor/bundle を別の場所に移動して(或いは削除して)から bundle install し直すだけです。

Mastodon アカウント紹介

私の Mastodon アカウントはこちらですので宜しければフォローして下さい。

カテゴリ: 

ホビー・フィギュア通販